#!/usr/local/bin/tclsh

#
# tclx_compat.tcl
# $Id: tclx_compat.tcl,v 1.2 1996/10/07 18:33:44 johnh Exp $
#

proc getclock {} {
	return [clock seconds]
}

proc fmtclock {seconds format} {
	return [clock format $seconds -format $format]
}

# csubstr
proc cindex {s i} {
}
proc clength {s} {
}

# random in Tcl---courtesy of Don Libes, slightly hacked since then.
proc random {args} {
	global _ran

	if [llength $args]>1 {
		set _ran [lindex $args 1]
	} else {
		set period 233280
		if [info exists _ran] {
			set _ran [expr ($_ran*9301 + 49297) % $period]
		} else {
			set _ran [expr [clock seconds] % $period]
		}
		return [expr int($args*($_ran/double($period)))]
	}
}

# system
# from the Tcl test suite
proc unlink {fn} {
    global tcl_platform
    if {$tcl_platform(platform) == "macintosh"} {
	catch {rm -f $name}
    } else {
	catch {exec rm -f $name}
    }
}

proc frename {a b} {
    global tcl_platform
    if {$tcl_platform(platform) == "macintosh"} {
	catch {mv -f $a $b}
    } else {
	catch {exec mv -f $a $b}
    }
}

